Package org.springframework.validation

# Class BindingResultUtils

java.lang.Object
org.springframework.validation.BindingResultUtils

public abstract class BindingResultUtils extends Object
Convenience methods for looking up BindingResults in a model Map.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  - `BindingResult.MODEL_KEY_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`BindingResultUtils()`

## Method Summary

Modifier and Type
Method
Description
`static BindingResult`
`getBindingResult(Map<?,?> model, String name)`
Find the BindingResult for the given name in the given model.
`static BindingResult`
`getRequiredBindingResult(Map<?,?> model, String name)`
Find a required BindingResult for the given name in the given model.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BindingResultUtils

public BindingResultUtils()

## Method Details

### getBindingResult

@Nullable public static BindingResult getBindingResult(Map<?,?> model, String name)
Find the BindingResult for the given name in the given model.

Parameters:
  `model` - the model to search
  `name` - the name of the target object to find a BindingResult for
Returns:
  the BindingResult, or `null` if none found
Throws:
  `IllegalStateException` - if the attribute found is not of type BindingResult

### getRequiredBindingResult

public static BindingResult getRequiredBindingResult(Map<?,?> model, String name)
Find a required BindingResult for the given name in the given model.

Parameters:
  `model` - the model to search
  `name` - the name of the target object to find a BindingResult for
Returns:
  the BindingResult (never `null`)
Throws:
  `IllegalStateException` - if no BindingResult found